/* Product Cards */
@media screen and (min-width: 1024px) {
  .columns {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
  }

  .column {
    flex: 50%;
  }
}

@media screen and (max-width: 1024px) {
  .columns {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .column {
    flex: 100%;
  }
}

@media screen and (min-width: 1024px) {
  .container-input {
    display: flex;
    padding: 1em;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px,
      rgba(17, 17, 26, 0.05) 0px 8px 32px;
    border-radius: 5px;
  }

  .container-input a {
    color: #222;
    font-size: 15px;
    background-image: linear-gradient(90deg, #f6f6f6, #f6f6f6);
    background-size: 0% 3px;
    background-repeat: no-repeat;
    background-position: left bottom;
    transition: background-size 300ms ease;
  }

  .container-input a:hover {
    background-size: 100% 3px;
    background-image: linear-gradient(90deg, #fff, #c9e7fe);
  }

  .container-input a:hover {
    color: black;
  }
}

.product-title {
  font-size: 25px !important;
}

@media screen and (min-width: 1024px) {
  .custom-filtering {
    position: -webkit-sticky;
    position: sticky;
    top: 7vh;
    font-size: 20px;
    z-index: 999;
  }

  .mycontainerinput {
    background: white;
  }
}

@media screen and (max-width: 1024px) {
  #filtering {
    display: none;
  }
}

@media (min-width: 1024px) {
  .card {
    position: relative;
    width: 550px;
    height: 550px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    border-radius: 20px;
    transition: 0.5s;
  }
  .card .circle {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    overflow: hidden;
  }
  .card .circle::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #d83133;
    clip-path: circle(110px at center);
    transition: 0.5s;
  }
  .card:hover .circle:before {
    background: #0065c3;
    clip-path: circle(270px at center);
  }
  .card img {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: 0.5s;
    width: 350px;
  }
  .card:hover img {
    left: 90%;
    width: 300px;
  }
  .card .product-content {
    position: relative;
    width: 60%;
    left: 20%;
    padding: 20px 20px 20px 40px;
    transition: 0.5s;
    opacity: 0;
    visibility: hidden;
  }
  .card:hover .product-content {
    left: 0%;
    opacity: 1;
    visibility: visible;
  }
  .card .product-content h2 {
    color: #fff;
    line-height: 1em;
    margin-bottom: 5px;
  }
  .card p {
    color: white !important;
    font-size: 13px;
  }
  .product-title,
  .product-description {
    margin-bottom: 17px;
  }
  #product-button {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
      rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    padding: 5px 30px 5px 30px !important;
    border-radius: 8px;
    background: white;
    color: black;
    font-size: 14px;
  }
  #product-button:hover {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 30px -12px inset,
      rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset;
  }
  .product-categories a {
    display: flex;
  }
}

.close-filter-container a {
  color: #ca222c;
}

@media (max-width: 1024px) {
  .card {
    text-align: center;
    padding-bottom: 3em;
  }

  .card .product-content h2 {
    color: black;
  }
  #product-button {
    background-color: #d83133;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
      rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;

    padding: 5px 30px 5px 30px !important;
    border-radius: 8px;
    color: white;
  }
  .entry-summary {
    display: none;
  }
}

@media screen and (min-width: 1024px) {
  #container-input-radio {
    position: relative;
    width: auto;
    height: 3em;
    justify-content: space-around;
    align-items: center;
  }
}

@media screen and (max-width: 1024px) {
  #container-input-radio {
    display: flex;
    flex-direction: column;
    padding: 2em;
  }
  #container-input-radio a {
    display: flex;
    flex-direction: column;
    padding: 5px;
  }
}
